Delete a workspace
curl --request DELETE \
--url https://{controlPlaneURL}/api/svc/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/workspaces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"fqn": "<string>",
"tenantName": "<string>",
"clusterId": "jqfwg345gi25n5ju2yz5iz6m",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "workspace",
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
}
},
"accountId": "jqfwg345gi25n5ju2yz5iz6m",
"environmentId": "jqfwg345gi25n5ju2yz5iz6m",
"isSystemWs": true,
"createdBy": "<string>"
},
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Workspaces
Delete a workspace
Permanently delete the workspace with the given ID. This action is irreversible.
DELETE
/
api
/
svc
/
v1
/
workspaces
/
{id}
Delete a workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
System-generated workspace ID.
Example:
"jqfwg345gi25n5ju2yz5iz6m"
Was this page helpful?
⌘I